Delete Critical Backup
Delete a critical backup job. To cast request method POST, include parameter _METHOD = DELETE.
curl -X DELETE "https://api.5centscdn.com/v2/cb/42" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"_METHOD": "DELETE"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/cb/42"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"_METHOD": "DELETE"
}
response = requests.delete(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/cb/42", {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"_METHOD": "DELETE"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"_METHOD": "DELETE"
}`)
req, err := http.NewRequest("DELETE", "https://api.5centscdn.com/v2/cb/42", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/cb/42')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"_METHOD": "DELETE"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "CriticalBackup 'Daily S3 Backup' deleted"
}
/cb/{backupid}Target server for requests. Edit to use your own host.
API key (sent in header)
Critical Backup job ID
The media type of the request body
HTTP method override. Must be set to DELETE to perform a delete operation.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
HTTP method override. Must be set to DELETE to perform a delete operation.
DELETEResponses
Status of the API response.
Human-readable status or result message.